import pygame, sys
from keyboard import is_pressed

#Initialize pygame and set up window
pygame.init()
winSize = (800, 600)
screen = pygame.display.set_mode(winSize)
pygame.display.set_caption('Move text')

#Load font and render text
myriadProFont = pygame.font.SysFont('Myriad Pro', 48)
helloWorld = myriadProFont.render('Hello World!', 1, (255, 0, 255), (255, 255, 255))

#Create x and y coordinate variables for displaying text on screen
x, y = 0, 0

#Add clock so that the next frame is displayed at an exact time
clock = pygame.time.Clock()

while True:
    
    if is_pressed('q'):
        sys.exit()

    clock.tick(40)

    #Keep screen open and let user exit window using for loop
    for ev in pygame.event.get():
        if ev.type == pygame.QUIT:
            sys.exit()
    
    screen.fill((0,0,0))

    screen.blit(helloWorld, (x, y))

    x += 6

    #Update window
    pygame.display.update()